com.io7m.smfj.core

## Class SMFSchemaIdentifier.Builder

- java.lang.Object
- - com.io7m.smfj.core.SMFSchemaIdentifier.Builder

- Enclosing class:
    SMFSchemaIdentifier

      public static final class SMFSchemaIdentifier.Builder
      extends Object

  Builds instances of type `SMFSchemaIdentifier`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFSchemaIdentifier` | `build()` Builds a new `SMFSchemaIdentifier`.
    `SMFSchemaIdentifier.Builder` | `from(SMFSchemaIdentifierType instance)` Fill a builder with attribute values from the provided `SMFSchemaIdentifierType` instance.
    `SMFSchemaIdentifier.Builder` | `setName(SMFSchemaName name)` Initializes the value for the `name` attribute.
    `SMFSchemaIdentifier.Builder` | `setVersionMajor(int versionMajor)` Initializes the value for the `versionMajor` attribute.
    `SMFSchemaIdentifier.Builder` | `setVersionMinor(int versionMinor)` Initializes the value for the `versionMinor` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFSchemaIdentifier.Builder from(SMFSchemaIdentifierType instance)

      Fill a builder with attribute values from the provided `SMFSchemaIdentifierType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setName

          public final SMFSchemaIdentifier.Builder setName(SMFSchemaName name)

      Initializes the value for the `name` attribute.
      Parameters:
        `name` - The value for name
      Returns:
        `this` builder for use in a chained invocation

    - #### setVersionMajor

          public final SMFSchemaIdentifier.Builder setVersionMajor(int versionMajor)

      Initializes the value for the `versionMajor` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `versionMajor`.

      Parameters:
        `versionMajor` - The value for versionMajor
      Returns:
        `this` builder for use in a chained invocation

    - #### setVersionMinor

          public final SMFSchemaIdentifier.Builder setVersionMinor(int versionMinor)

      Initializes the value for the `versionMinor` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `versionMinor`.

      Parameters:
        `versionMinor` - The value for versionMinor
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFSchemaIdentifier build()

      Builds a new `SMFSchemaIdentifier`.
      Returns:
        An immutable instance of SMFSchemaIdentifier
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com